version_source: config # "config", "git-local" or "git-remote"
blade_directive: version
current:
  major: 1
  minor: 0
  patch: 0
  format: "{$major}.{$minor}.{$patch}"
  git_absorb: false # "false", "git-local" or "git-remote"
cache:
  enabled: true
  key: pragmarx-version
  time: 525600 #minutes = 1 year
build:
  mode: number # "number", "git-local" or "git-remote"
  number: 701031
  length: 6
  increment_by: 1
  git_absorb: false # "false", "git-local" or "git-remote"
git:
  git-local: "git rev-parse --verify HEAD"
  git-remote: "git ls-remote {$repository}"
  branch: "refs/heads/master"
  repository: "{{ env('VERSION_GIT_REMOTE_REPOSITORY') }}"
  version:
    git-local: "git describe"
    git-remote: "git ls-remote {$repository} | grep tags/ | grep -v {} | cut -d \/ -f 3 | sort --version-sort | tail -1"
    matcher: "/[V|v]*[ersion]*\\s*\\.*(\\d+)\\.(\\d+)\\.(\\d+)\\.*(\\w*)/"
format:
  major: "{$major}"
  minor: "{$minor}"
  patch: "{$patch}"
  build: "{$build}"
  version: "{$major}.{$minor}.{$patch} (build {$build})"
  full: "version {{'format.version'}}"
  compact: "v{$major}.{$minor}.{$patch}-{$build}"
  ## add as many formats as you need !!!!
